FreeMat

- Main Page
- Related Pages

vtkPPairwiseExtractHistogram2D

Section: Visualization Toolkit Infovis Classes

# Usage

This class does exactly the same this as vtkPairwiseExtractHistogram2D, but does it in a multi-process environment. After each node computes their own local histograms, this class does an AllReduce that distributes the sum of all local histograms onto each node.

Because vtkPairwiseExtractHistogram2D is a light wrapper around a series of vtkExtractHistogram2D classes, this class just overrides the function that instantiates new histogram filters and returns the parallel version (vtkPExtractHistogram2D).

To create an instance of class vtkPPairwiseExtractHistogram2D, simply invoke its constructor as follows

      obj = vtkPPairwiseExtractHistogram2D

# Methods

The class vtkPPairwiseExtractHistogram2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPPairwiseExtractHistogram2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPPairwiseExtractHistogram2D = obj.NewInstance ()`
- `vtkPPairwiseExtractHistogram2D = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )`
- `vtkMultiProcessController = obj.GetController ()`